/*Desktop menu*/
#header-top .top-menu .current-menu-item > a.top-menu-a, #header-top .top-menu .current-menu-ancestor > a.top-menu-a {
    border-bottom: #3AAA44 4px solid;
}

#header-top .top-menu .sub-menu {
    display: none;
    margin: 0;
    z-index: 10;
    background-color: #fff;
    position: absolute;
    padding: .5rem 0;
    text-align: left;
    border: 1px solid #E0E0E0;
    min-width: 160px;
}

#header-top .top-menu .sub-menu > li {
    display: block;
    position: relative;
    padding: 10px;
}

#header-top .top-menu > li:last-of-type .sub-menu .sub-menu {
    left: 0;
    transform: translateX(-100%);
}

#header-top .top-menu .menu-item-has-children:hover > .sub-menu {
    display: block;
}

#header-top .top-menu .menu-item-has-children > .sub-menu .sub-menu {
    left: 100%;
    top: -1px;
    padding-top: 0;
}

#header-top .top-menu .menu-item-has-children > a {
    position: relative;
}

#header-top .top-menu .menu-item-has-children > a::after {
    background-image: url(../images/arrow-down.png);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    height: 8px;
    width: 10px;
    content: '';
    position: absolute;
    right: 0;
    top: 10px;
}

/*Mobile menu*/
#the-mobile-menu {
    overflow-x: scroll;
}

#the-mobile-menu .sub-menu {
    display: none;
    background: #247000;
}

#the-mobile-menu .menu-item-has-children a {
    position: relative;
}

.mobile-menu-closed {
    transform: rotate(0deg);
    transition: all 150ms;
}

.mobile-menu-opened {
    transform: rotate(180deg);
    transition: all 150ms;
}

#the-mobile-menu .menu-item-has-children .span-arrow {
    top: 0;
    position: absolute;
    padding: 18px;
    right: 0;
    display: block;
}

#the-mobile-menu .menu-item-has-children  .menu-icon-arrow {
    background-image: url(../images/dropdown-mobile.png);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    height: 18px;
    width: 18px;
    content: '';
    position: absolute;
    right: 9px;
    top: 9px;
}

#the-mobile-menu .open-mobile .menu-icon-arrow, #the-mobile-menu .open-mobile .span-arrow  {
    display: none;
}

#the-mobile-menu .open-mobile .sub-menu {
    display: block;
}

@media screen and (min-width: 768px) and (max-width: 1100px) {
    #header-top .top-menu .menu-item-has-children > a {
        padding-right: 12px;
    }
}
